# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

#### Public Classes

* [`ulogd`](#ulogd): Manage user space logging daemon

#### Private Classes

* `ulogd::install`: Manage packages

### Data types

* [`Ulogd::Config`](#Ulogd--Config): ulogd configuration with sections

## Classes

### <a name="ulogd"></a>`ulogd`

Manage user space logging daemon

#### Examples

##### 

```puppet
include ulogd
```

#### Parameters

The following parameters are available in the `ulogd` class:

* [`manage_package`](#-ulogd--manage_package)
* [`package_ensure`](#-ulogd--package_ensure)
* [`packages`](#-ulogd--packages)
* [`manage_service`](#-ulogd--manage_service)
* [`service_name`](#-ulogd--service_name)
* [`service_ensure`](#-ulogd--service_ensure)
* [`plugin_path`](#-ulogd--plugin_path)
* [`plugins`](#-ulogd--plugins)
* [`config_path`](#-ulogd--config_path)
* [`config`](#-ulogd--config)

##### <a name="-ulogd--manage_package"></a>`manage_package`

Data type: `Boolean`

Whether package should be managed

##### <a name="-ulogd--package_ensure"></a>`package_ensure`

Data type: `String`



##### <a name="-ulogd--packages"></a>`packages`

Data type: `Array[String,1]`



##### <a name="-ulogd--manage_service"></a>`manage_service`

Data type: `Boolean`



##### <a name="-ulogd--service_name"></a>`service_name`

Data type: `String`



##### <a name="-ulogd--service_ensure"></a>`service_ensure`

Data type: `String`



##### <a name="-ulogd--plugin_path"></a>`plugin_path`

Data type: `Stdlib::Absolutepath`



##### <a name="-ulogd--plugins"></a>`plugins`

Data type: `Array[String]`

If empty, all plugins will be loaded

Default value: `[]`

##### <a name="-ulogd--config_path"></a>`config_path`

Data type: `Stdlib::Absolutepath`



##### <a name="-ulogd--config"></a>`config`

Data type: `Ulogd::Config`

Configuration as a Hash

Default value: `{}`

## Data types

### <a name="Ulogd--Config"></a>`Ulogd::Config`

ulogd configuration with sections

Alias of

```puppet
Hash[String[1], Hash[
                        String[1], Variant[String, Numeric, Boolean]
                       ]]
```

